smlnj (110.79-8) unstable; urgency=medium

  * Patch to not fail configuration for kernel 5+

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Oct 2022 19:40:38 +0100

smlnj (110.79-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.

  [ Barak A. Pearlmutter ]
  * Cherry-pick upstream copyright fix as patch (closes: #998154)
  * Bump debhelper from old 9 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Rules do not require root.
  * Adopt package (closes: #837735)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Oct 2022 09:27:56 +0100

smlnj (110.79-6) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Recover git packaging repo and use the one under Salsa Debian
      group.
    + Bump Standards-Version to 4.4.1.
    + Mark package smlnj-doc as M-A: foreign.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2019 13:07:18 -0400

smlnj (110.79-5) unstable; urgency=medium

  * QA upload.
  * Build-depend on texlive-plain-generic instead of obsolete texlive-
    generic-extra and texlive-generic-recommended. Closes: #933588.
  * Drop references to obsolete anonscm.debian.org.

 -- Steve Langasek <vorlon@debian.org>  Sat, 28 Sep 2019 22:12:41 -0700

smlnj (110.79-4) unstable; urgency=medium

  * QA upload.
  * Fix "FTBFS: Unescaped left brace in regex is illegal here in regex":
    extend debian/patches/mltex2html-perl-fixes to escape literal opening
    braces in mltex2html script.
    (Closes: #871335)

 -- gregor herrmann <gregoa@debian.org>  Tue, 08 Aug 2017 11:46:37 -0400

smlnj (110.79-3) unstable; urgency=medium

  * QA upload.
  * Update the build dependency from texlive-math-extra
    to texlive-science.
  * Fix a spelling error in the ml-burg package description.

 -- Adrian Bunk <bunk@debian.org>  Mon, 03 Jul 2017 23:15:53 +0300

smlnj (110.79-2) unstable; urgency=medium

  * Add mltex2html-perl-fixes patch.  Fixes FTBFS when '.' is not part of @INC
    (Closes: #837263) and unescaped '{' in regex.
  * Orphan package and set Maintainer to QA Group.

 -- James McCoy <jamessan@debian.org>  Tue, 13 Sep 2016 21:41:59 -0400

smlnj (110.79-1) unstable; urgency=medium

  * New upstream release.
    + Remove all patches, merged upstream.
  * Add latexmk Build-Depends-Indep for new documentation build process.
  * Use secure URLs for Vcs-*
  * Remove obsolete Breaks from transition to triggers
  * Declare compliance with policy 3.9.8, no changes required

 -- James McCoy <jamessan@debian.org>  Thu, 04 Aug 2016 00:08:01 -0400

smlnj (110.78-2) unstable; urgency=medium

  * Ensure build-dir is created before build-indep tries to use it.
  * Fix FTBFS on powerpc.

 -- James McCoy <jamessan@debian.org>  Wed, 22 Jul 2015 23:19:56 -0400

smlnj (110.78-1) unstable; urgency=medium

  * New upstream release
  * debian/mkorig: Handle the new doc tarball.
  * Switch to 3.0 (quilt) source format
  * Fix i386 build on Linux 4.x kernels.  (Closes: #790283)
  * Replace Debian man pages with new upstream man pages.
  * Perform build in a build directory for easy cleanup.

 -- James McCoy <jamessan@debian.org>  Wed, 22 Jul 2015 00:02:09 -0400

smlnj (110.76-2) unstable; urgency=medium

  * debian/control: Add Vcs-* fields
  * debian/rules: Actually build Arch: all packages when build/binary targets
    are used.
  * Include documentation for ml-burg, ml-lex, and ml-yacc
    + control: Add texlive-generic-recommended and transfig to
      Build-Depends-Indep
    + rules: Convert tree.fig to tree.ps to build ml-burg documentation
    + smlnj-doc: Install ml-burg, ml-lex, and ml-yacc manuals
    + Add doc-base registration for ml-burg, ml-lex, and ml-yacc
  * Update man pages to refer to installed documentation  (Closes: #752914)
  * Bump Standards-Version to 3.9.5, no changes required

 -- James McCoy <jamessan@debian.org>  Sat, 28 Jun 2014 23:25:06 -0400

smlnj (110.76-1) unstable; urgency=low

  * New upstream version.
    + Fix comparisons of Int64 on amd64.  (Closes: #709459)

 -- James McCoy <jamessan@debian.org>  Mon, 16 Sep 2013 21:48:08 -0400

smlnj (110.75-1) unstable; urgency=low

  * New upstream version.
  * Use interest-noawait for smlnj-runtime.

 -- James McCoy <jamessan@debian.org>  Wed, 08 May 2013 20:08:08 -0400

smlnj (110.74-2) unstable; urgency=low

  * Stop shipping /usr/lib/smlnj/bin/mkorig.  This is just used for packaging
    purposes.
  * Install config/extrapathconfig as seed for pathconfig trigger.  (Closes:
    #689123)
  * Add /usr/lib/smlnj trigger to smlnj-runtime to allow updating pathconfig
    automatically.
  * Remove {pkg-,}{de,}register scripts.  Updating pathconfig is now handled
    by triggers.
  * Remove no longer needed postinst/prerm maintainer scripts.
  * Add Breaks for packages installing files under /usr/lib/smlnj

 -- James McCoy <jamessan@debian.org>  Fri, 05 Oct 2012 20:46:53 -0400

smlnj (110.74-1) unstable; urgency=low

  * New upstream release.
    + Fixes building on 3.x kernels.
  * Remove sparc from Architecture list.

 -- James McCoy <jamessan@debian.org>  Sat, 18 Feb 2012 22:46:38 -0500

smlnj (110.73-2) unstable; urgency=low

  * Only set {build,binary}-arch as a prerequisite for the {build,binary}
    targets.

 -- James McCoy <jamessan@debian.org>  Fri, 20 Jan 2012 18:00:42 -0500

smlnj (110.73-1) unstable; urgency=low

  * New upstream version.
  * Use DEB_BUILD_OPTIONS=nodoc to disable building of documentation.
  * Declare source format 1.0
  * Lintian fixes:
    + Remove HISTORY from libckit-smlnj.docs, already installed as upstream
      changelog.
    + Remove leading article from libckit-smlnj's short description.

 -- James McCoy <jamessan@debian.org>  Wed, 18 Jan 2012 20:33:37 -0500

smlnj (110.72-1) unstable; urgency=low

  * New upstream release.
    - Upstream has integrated a patch I forwarded to remove bashisms.
      (Closes: #530119)
  * Switch to debhelper compat level 7.
  * debian/control:
    - Replace obsolete tetex-extra with texlive-latex-extra in
      Build-Depends-Indep. (Closes: #562359)
    - Remove dvipdfmx from Build-Depends-Indep (superfluous).
    - Remove dvi2ps from Build-Depends-Indep (in texlive-binaries)
    - New maintainer (Closes: #428273)
    - Update to Debian Policy 3.8.4.
    - Move smlnj-doc to Section: doc to follow Debian override file.
    - Remove duplicate words from descriptions
    - Expand and correct short and long descriptions for almost all
      shipped packages. (Closes: #493601)
    - Renable sparc in Architecture line.
    - Add ${misc:Depends} to binary packages for debhelper.
  * debian/dirs: Deleted, superfluous file.
  * debian/libckit-smlnj.doc-base: Added doc-base registration.
  * debian/{libmlnlffi-smlnj,ml-lpt}.docs: Don't ship pdf documentation in
    these packages; it is already shipped in smlnj-doc.
  * debian/mkorig: Modified script so it can be called automatically by
    uscan.
  * debian/{ml-ulex.1,ml-antlr.1,ml-lpt.manpages}: Add missing manpages for
    these two binaries.
  * debian/README.Debian: Updated to reflect changes to debian/mkorig.
  * debian/rules:
    - Add dh_installchangelog calls for libckit-smlnj.
    - Update to reflect namechange of templates in debian directory.
    - Use dh_prep instead of dh_clean -k.
    - Switch to separate unpack-source target and update .PHONY.
  * debian/smlnj.docs: Don't ship latex source in binary.
  * debian/smlnj-doc.doc-base.*: Register all documentation in smlnj-doc
    with doc-base.
  * debian/smlnj-doc.prerm: Remove this file; it was needed to fix a bug
    related to upgrades from smlnj-doc_110.67-3. This version predates Lenny
    and was never in a release of Debian stable.
  * debian/watch: Added commented watch file which calls debian/mkorig.
  * debian/{_wrapper,_postinst,_prerm}: Rename templates to filename.in.
  * debian/patches/use-psfig-not-epsfig.diff: SML/NJ's documentation still
    includes deprecated calls to psfig.sty, which has been removed from
    Debian. This patch uses the wrapper epsfig.sty. Long term, upstream
    has been encouraged to port SML/NJ to use the graphicx package.

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 24 Feb 2010 02:53:56 -0800

smlnj (110.69-1) unstable; urgency=low

  * Orphaned package.
  * New upstream release.
  * Standards-Version 3.8.1 (no changes necessary).
  * Use 110.68's bootstrap images instead of 110.69's.

 -- Kari Pahula <kaol@debian.org>  Sat, 06 Jun 2009 14:54:02 +0300

smlnj (110.67-4) unstable; urgency=low

  * Don't create postinst/prerm scripts that would try to register
    smlnj-doc as a library.  (Closes: #502752)

 -- Kari Pahula <kaol@debian.org>  Sun, 19 Oct 2008 20:04:36 +0300

smlnj (110.67-3) unstable; urgency=high

  * Fixed an FTBFS due to missing ghostscript dependency in
    Build-Depends-Indep (transfig only Recommends it) (Closes: #486957)
  * Actually put something in smlnj-doc's long description. (Closes: #487199)

 -- Kari Pahula <kaol@debian.org>  Wed, 02 Jul 2008 10:56:31 +0300

smlnj (110.67-2) unstable; urgency=low

  * Fixed an FTBFS due to a faulty check on whether Build-Depends-Indep
    were installed.

 -- Kari Pahula <kaol@debian.org>  Mon, 09 Jun 2008 22:44:50 +0300

smlnj (110.67-1) unstable; urgency=low

  * New upstream release
  * Fixed typo ml-antrl -> ml-antlr in ml-lpt's description (Closes: #442949)
  * Set homepage field in debian/control.
  * Built some more documentation and set up smlnj-doc package for them.
  * Added amd64 as an architecture, using gcc-multilib emulation layer.
  * Don't even try to build on sparc.

 -- Kari Pahula <kaol@debian.org>  Sat, 24 May 2008 22:11:34 +0300

smlnj (110.65-1) unstable; urgency=low

  * New upstream release
  * Added package ml-lpt (Closes: #417906)
  * Install smlnj's changelog (Closes: #412040)
  * smlnj now Recommends libsmlnj-smlnj

 -- Kari Pahula <kaol@debian.org>  Mon, 06 Aug 2007 07:17:09 +0300

smlnj (110.62-1) unstable; urgency=low

  * New upstream release
  * Set architecture to i386 sparc powerpc
  * Removed the broken hack to add symlinks to modules in the library dir
  * Install base pathconfig rules to smlnj-runtime package (Closes: #409714)
  * Added -f to rm /usr/lib/smlnj/lib/pathconfig in smlnj-runtime's postrm

 -- Kari Pahula <kaol@debian.org>  Thu, 22 Feb 2007 12:46:17 +0200

smlnj (110.60-1) experimental; urgency=low

  * New release (Closes: #283407, #375537)
  * New maintainer (Closes: #319801)
  * Make sure that the build path doesn't get in the run and link scripts
    (Closes: #329875)
  * Changed the Debian build scripts to take the new 110.60 directory
    layout into account
  * Install some more documents and examples
  * Make sure that /usr/bin/sml finds the modules from the directories
    where it expects to.

    [Aaron Matthew Read]
  * Bootstraps from an included image. (Closes: #308877, #362445)
  * Purges itself cleanly now. (Closes: #328486)

 -- Kari Pahula <kaol@debian.org>  Fri, 24 Nov 2006 00:17:57 +0200

smlnj (110.54-1) unstable; urgency=low

  * Upstream release of 110.54.

 -- Aaron Matthew Read <amread@nyx.net>  Sun, 12 Jun 2005 17:51:24 -0700

smlnj (110.53-1) unstable; urgency=low

  * Upstream release of 110.53. closes:#283407
  * Supply bootstrap images as part of the source package. Use these
    images to bootstrap the build, rather than an installed
    compiler. closes:#308877

 -- Aaron Matthew Read <amread@nyx.net>  Fri, 13 May 2005 14:28:36 -0700

smlnj (110.52-1) unstable; urgency=low

  * Upstream release of 110.52.
  * arch-n-opsys recognizes x86_64. closes: #286817

 -- Aaron Matthew Read <amread@nyx.net>  Wed, 22 Dec 2004 12:25:57 -0800

smlnj (110.51-1) unstable; urgency=low

  * Upstream release of 110.51. closes:#283407

 -- Aaron Matthew Read <amread@nyx.net>  Sun, 28 Nov 2004 15:12:55 -0800

smlnj (110.50-1) unstable; urgency=low

  * Upstream release of 110.50.
  * Better short descriptions. closes:#277432, #276839

 -- Aaron Matthew Read <amread@nyx.net>  Fri, 29 Oct 2004 11:26:58 -0700

smlnj (110.49-1) unstable; urgency=low

  * Upstream release of 110.49.

 -- Aaron Matthew Read <amread@nyx.net>  Wed, 15 Sep 2004 11:27:40 -0700

smlnj (110.48-3) unstable; urgency=low

  * Include scripts to maintain the pathconfig file.

 -- Aaron Matthew Read <amread@nyx.net>  Mon, 13 Sep 2004 00:10:15 -0700

smlnj (110.48-2) unstable; urgency=low

  * Include documentation and examples.
  * Upstream made Option an alias for Option.Option. closes:#184125

 -- Aaron Matthew Read <amread@nyx.net>  Thu,  9 Sep 2004 19:04:18 -0700

smlnj (110.48-1) unstable; urgency=low

  * Upstream release of 110.48.

 -- Aaron Matthew Read <amread@nyx.net>  Thu,  12 Aug 2004 11:30:52 -0700

smlnj (110.47-1) unstable; urgency=low

  * New upstream release.

 -- Aaron Matthew Read <amread@nyx.net>  Sat,  7 Aug 2004 16:49:52 -0700

smlnj (110.46-2) unstable; urgency=low

  * Added new binary packages: libpgraph-smlnj, libcml-smlnj, libcmlutil-smlnj,
    libexene-smlnj, libckit-smlnj, libmlnlffi-smlnj, ml-nlffigen,
    libmlrisctools-smlnj, nowhere. closes:#186538

 -- Aaron Matthew Read <amread@nyx.net>  Wed, 21 Jul 2004 00:57:39 -0700

smlnj (110.46-1) unstable; urgency=low

  * New upstream release.
  * New packaging using debhelper.

 -- Aaron Matthew Read <amread@nyx.net>  Sun, 18 Jul 2004 19:18:01 -0700

smlnj-runtime (110.45-1) unstable; urgency=low

  * New upstream release.

 -- Aaron Matthew Read <amread@nyx.net>  Sun,  7 Mar 2004 15:51:54 -0800

smlnj-runtime (110.44-2) unstable; urgency=low

  * Bug fix: postinst script fails if /usr/local is mounted read-only,
    thanks to Laurent Bonnaud. closes:#228708

 -- Aaron Matthew Read <amread@nyx.net>  Tue, 20 Jan 2004 11:16:42 -0800

smlnj-runtime (110.44-1) unstable; urgency=low

  * New upstream release.
  * smlnj-runtime: hppa port. closes:Bug#199328

 -- Aaron Matthew Read <amread@nyx.net>  Tue,  9 Dec 2003 00:19:27 -0800

smlnj-runtime (110.42-2) unstable; urgency=low

  * Fixed compile problem with new C Preprocessor. closes:Bug#195036

 -- Aaron Matthew Read <amread@nyx.net>  Wed, 28 May 2003 21:02:32 -0700

smlnj-runtime (110.42-1) unstable; urgency=low

  * Split compiler, tools, and runtime system into separate packages.
    This way, applications written in SML will depend only on the (small)
    smlnj-runtime package.

 -- Aaron Matthew Read <amread@nyx.net>  Tue, 14 Jan 2003 20:18:39 -0800
